#!/bin/sh

# Check for smap capability
if grep -q '\Wsmap' /proc/cpuinfo; then
   # If we found smap, then check if nosmap is in the cmdline params for the kernel
   if ! grep -q 'nosmap' /proc/cmdline; then
      echo ""
      echo "WARNING:"
      echo "   SMAP is enabled on this system and is not supported by NI-DAQmx."
      echo "   SMAP can be disabled by adding 'nosmap' to the kernel parameters"
      echo "   as part of your boot configuration. Please consult your boot manager"
      echo "   on how to update the kernel parameters."
      echo ""
      echo "   To remove this message, either disable SMAP or remove the file"
      echo "   /etc/profile.d/daqmx_smap_warning.sh"
      echo ""
   fi
fi
